Subject: bug#34179: 27.0.50; message hangs when buffer with process visible

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Jan 2019 16:39:11 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 24 Jan 2019 14:35:56 +0100
> 
> I'll leave that session open.  Does that all tell you anything?  Again:
> this happens only when a *shell* buffer is currently displayed in some
> frame.

These seem just random places.  What I suggest is to repeatedly type
"finish" at GDB prompt, until you find a function where this command
takes a lot of time before GDB displays its prompt "(gdb)" again.  At
that point, the function from which you just "finish"ed is the one
that takes the bulk of time; GDB should have displayed it when you
typed "finish", something like this:

  (gdb) finish
  Run till exit from #0  Fredraw_display () at dispnew.c:3031  <<<<<<<<<<<<<<<
  0x0123a014 in funcall_subr (subr=0x16c7040 <Sredraw_display>, numargs=0,
      args=0x82d8c0) at eval.c:2933

  (gdb)

Here the marked line is our culprit, and the line below that shows the
place from which it was called.